lwIP 2.1.2 Lightweight IP stack

Macros
Multicast listener discovery
lwIP » Options (lwipopts.h) » IPv6

## Macros
#define | LWIP_IPV6_MLD LWIP_IPV6
#define | MEMP_NUM_MLD6_GROUP 4

## Detailed Description

## Macro Definition Documentation

## ◆ LWIP_IPV6_MLD

#define LWIP_IPV6_MLD LWIP_IPV6

LWIP_IPV6_MLD==1: Enable multicast listener discovery protocol. If LWIP_IPV6 is enabled but this setting is disabled, the MAC layer must indiscriminately pass all inbound IPv6 multicast traffic to lwIP.

## ◆ MEMP_NUM_MLD6_GROUP

#define MEMP_NUM_MLD6_GROUP 4

MEMP_NUM_MLD6_GROUP: Max number of IPv6 multicast groups that can be joined. There must be enough groups so that each netif can join the solicited-node multicast group for each of its local addresses, plus one for MDNS if applicable, plus any number of groups to be joined on UDP sockets.